<?

 /*****************************************************************************
 * Filename: include/plugins/lister/modules/pluginInfo.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_lister_pluginInfo extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   if($this->data->module!="pluginInfo")
    $this->extend("pluginInfo");

   $this->data->title="Lister plugin information";

   $this->data->addField("templateitem", "localfile", "all", false, 1, 255, "item.html", "Item template");
   $this->data->addField("templatelist", "localfile", "all", false, 1, 255, "list.html", "List template");
   $this->data->addField("templatepagebrowser", "localfile", "all", false, 1, 255, "pagebrowser.html", "Page browser template");
  }

  function postInit()
  {
   global $_path;

   $this->data->setFileDir("templateitem", $_path["project"]["plugins"]."lister/templates/");
   $this->data->setFileExtensions("templateitem", "html", "htm");
   $this->data->setFileDir("templatelist", $_path["project"]["plugins"]."lister/templates/");
   $this->data->setFileExtensions("templatelist", "html", "htm");
   $this->data->setFileDir("templatepagebrowser", $_path["project"]["plugins"]."lister/templates/");
   $this->data->setFileExtensions("templatepagebrowser", "html", "htm");

   return true;
  }
 }
?>
